/*
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 2 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Copyright (c) 2007 Andrei Borovsky <anb@symmetrica.net>
 */

#ifndef MAINFRAME
#define MAINFRAME

#include <wx/wx.h>
#include <wx/socket.h>
#include "wxdbusconnection.h"
#include "wxdbusmessage.h"

class MainFrame : public wxFrame
{
public:
	MainFrame(wxWindow* parent, wxWindowID id, const wxString& title, const wxPoint& pos = wxDefaultPosition, const wxSize& size = wxDefaultSize, 
		long style = wxDEFAULT_FRAME_STYLE, const wxString& name = "frame");
	virtual ~MainFrame();
private:
	wxBoxSizer * hbox, * vbox;
	wxPanel * panel;
	wxTextCtrl * commandEdit;
	wxTextCtrl * logViewer;
	wxButton * commandButton;
	wxDBusConnection * connection;
	void OnCommand(wxCommandEvent& event);
	void OnSignal(wxDBusConnectionEvent& event);
	void OnNotification(wxDBusConnectionEvent& event);
	void SkypeCommand(const wxString & command);
};

#endif
